GEARMAN_STRING_T(3)

NAME
gearman_string_t - Gearmand Documentation, https://gearman.org/gearmand/

SYNOPSIS

#include <libgearman/gearman.h>

type gearman_string_t

gearman_size(string)
    Returns the size of the string.

gearman_c_str(string)
    Returns the C string representation.

    Compile and link with -lgearman.

DESCRIPTION

The gearman_string_t is a simple type representing a "string". Once created gearman_string_t are not mutable once created. They only point to the strings that define them and require no deallocation.

SEE ALSO

gearmand(8) libgearman(3)

AUTHOR
Data Differential http://www.datadifferential.com/

COPYRIGHT
2011-2014, Data Differential, http://www.datadifferential.com/